context = window
teacherActions = window.JK.Actions.Teacher

@BonjourMixin = {
  findJamBlaster: (oldClient) ->
    found = null
    if @state.allJamBlasters?
      for client in @state.allJamBlasters
        if oldClient.server_id? && client.server_id == oldClient.server_id
          found = client
          break
        if oldClient.ipv6_addr? && client.ipv6_addr == oldClient.ipv6_addr
          found = client
          break

    found
}